;;;; misc-math-utils-test.scm  -*- Scheme -*-
;;;; Kon Lovett, Oct '22

(import test)

(test-begin "Math Utils")

;;;

(import misc-math-utils)

;;

(test-group "interest"
  (test 1938.84 (compound-interest 0.043 4 6 1500))
)

(test-group "log-with-base"
  (define log256 (log-with-base 256))
  (test-assert (procedure? log256))
  (test "log/base 256" 9 (inexact->exact (round (log256 995972255318008407568))))
)

;;;

(test-end "Math Utils")

(test-exit)
